/*
 salconstants.h
 Spatial Audio Library (SAL)
 Copyright (c) 2011, Enzo De Sena
 All rights reserved.
 
 Authors: Enzo De Sena, enzodesena@me.com
 
 This file contains constants, e.g. PI, sound speed etc..
 
 */

#ifndef SAL_CONSTANTS_H
#define SAL_CONSTANTS_H

#ifndef PI
  #define PI 3.141592653589793238462643383279502884197169399375105820974944
#endif

#ifndef VERY_SMALL
  #define VERY_SMALL (1.0E-4)
#endif

#define SOUND_SPEED 343.0 // Speed of sound-

#ifdef SAL_EXPORTS
  #define SAL_API __declspec(dllexport)
#else
  #define SAL_API
#endif

#endif
